[openrtm-commit:00843] r2370 - trunk/OpenRTM-aist/build

openrtm @ openrtm.org openrtm @ openrtm.org
2012年 6月 7日 (木) 12:00:16 JST


Author: n-ando
Date: 2012-06-07 12:00:16 +0900 (Thu, 07 Jun 2012)
New Revision: 2370

Modified:
   trunk/OpenRTM-aist/build/pkg_install100_ubuntu.sh
Log:
aptitude was replaced wit apt-get, because some dist has no aptitude. Uninstallation func now tries purge if remove failed.

Modified: trunk/OpenRTM-aist/build/pkg_install100_ubuntu.sh
===================================================================
--- trunk/OpenRTM-aist/build/pkg_install100_ubuntu.sh	2012-06-07 02:41:26 UTC (rev 2369)
+++ trunk/OpenRTM-aist/build/pkg_install100_ubuntu.sh	2012-06-07 03:00:16 UTC (rev 2370)
@@ -171,8 +171,11 @@
 uninstall_packages () {
     for p in $*; do
 	echo $msg11 $p
-	aptitude remove $p
-	echo $msg10
+	apt-get remove $p
+    if test "$?" != 0; then
+        apt-get purge $p
+    fi
+    echo $msg10
 	echo ""
     done
 }
@@ -194,6 +197,7 @@
     check_reposerver
     create_srclist
     update_source_list
+    apt-get autoclean
     apt-get update
     uninstall_packages `reverse $openrtm`
     install_packages $packages



More information about the openrtm-commit mailing list